summaryrefslogtreecommitdiffstats
path: root/tools/perf/tests/shell/buildid.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/perf/tests/shell/buildid.sh')
-rwxr-xr-xtools/perf/tests/shell/buildid.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/tools/perf/tests/shell/buildid.sh b/tools/perf/tests/shell/buildid.sh
index 4861a20edee2..416af614bbe0 100755
--- a/tools/perf/tests/shell/buildid.sh
+++ b/tools/perf/tests/shell/buildid.sh
@@ -50,6 +50,12 @@ check()
exit 1
fi
+ ${perf} buildid-cache -l | grep $id
+ if [ $? -ne 0 ]; then
+ echo "failed: ${id} is not reported by \"perf buildid-cache -l\""
+ exit 1
+ fi
+
echo "OK for ${1}"
}